/*
 *
 *  Copyright (C) 1993-2000, OFFIS
 *
 *  This software and supporting documentation were developed by
 *
 *    Kuratorium OFFIS e.V.
 *    Healthcare Information and Communication Systems
 *    Escherweg 2
 *    D-26121 Oldenburg, Germany
 *
 *  THIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND OFFIS MAKES NO  WARRANTY
 *  REGARDING  THE  SOFTWARE,  ITS  PERFORMANCE,  ITS  MERCHANTABILITY  OR
 *  FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES  OR
 *  ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY AND
 *  PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
 *
 *  Module:  imagectn
 *
 *  Author:  Andrew Hewett
 *
 *  Purpose: routines for generating DB condition messages.
 *    Module Prefix: DB_ 
 *
 *  Last Update:      $Author: meichel $
 *  Update Date:      $Date: 2000/03/08 16:41:08 $
 *  Source File:      $Source: /share/dicom/cvs-depot/dcmtk/imagectn/libsrc/dbcond.cc,v $
 *  CVS/RCS Revision: $Revision: 1.4 $
 *  Status:           $State: Exp $
 *
 *  CVS/RCS Log at end of file
 *
 */

#include "osconfig.h"    /* make sure OS specific configuration is included first */

BEGIN_EXTERN_C
#include <stdio.h>
END_EXTERN_C

#include "imagedb.h"
#include "dbcond.h"


typedef struct vector {
    CONDITION cond;
    const char *message;
} VECTOR;

static VECTOR messageVector[] = {
	{DB_NORMAL, "Normal return from DB routine"},
	{DB_NULLKEY, "DB Caller passed in a NULL key"},
	{DB_MALLOCERROR, "DB Failed to malloc a buffer"},
	{0, NULL}
};

const char *
DB_Message(CONDITION condition)
{
    int idx;

    for (idx = 0; messageVector[idx].message != NULL; idx++)
	if (condition == messageVector[idx].cond)
	    return messageVector[idx].message;

    return NULL;
}

/*
** CVS Log
** $Log: dbcond.cc,v $
** Revision 1.4  2000/03/08 16:41:08  meichel
** Updated copyright header.
**
** Revision 1.3  1999/06/10 12:12:15  meichel
** Adapted imagectn to new command line option scheme.
**   Added support for Patient/Study Only Q/R model and C-GET (experimental).
**
** Revision 1.2  1996/09/27 08:46:48  hewett
** Enclosed system include files with BEGIN_EXTERN_C/END_EXTERN_C.
**
** Revision 1.1.1.1  1996/03/28 19:25:00  hewett
** Oldenburg Image CTN Software ported to use the dcmdata C++ toolkit.
**
*/
